Page MenuHomePhabricator

Goal: Clarify interaction/sync with TPG, RelEng, CL in areas of Phab practices, QA, community
Closed, ResolvedPublic

Description

Andre to sort out how to get involved in a way that scales (meetings) to avoid duplication of work (e.g. TPG's Phabricator documentation) and working closer with RelEng (triage sessions) and to create awareness of CC'ing me when I'm a potential stakeholder or can provide experience/input.

Status on 2015-08-18:

  • TPG: Andre and TPG will have "meetings on demand" (there has been one on July 2nd on general interaction and one on July 24th on Phabricator documentation, another one planned in T106710). There is better awareness now of available knowledge in areas of interaction.
  • RelEng: Greg's team stated that they are happy with the level of support they get (poking filers of old bugs useful, close forgotten tasks after patches got merge); no improvement proposals. In addition, Andre joins Deployment Systems and Beta Cluster triage meetings from time to time (RelEng) and lurk on #wikimedia-releng .
  • With CEP/CL we all think that our communication and collaboration is effective currently. https://meta.wikimedia.org/wiki/Community_Engagement_%28Product%29#Who_we_are helps a lot by listing team members' product responsibilities. CEP folks are responsive on their IRC channel and via email, and we're aware of each other's fields.

This needs reevaluation after a while.

Event Timeline

Aklapper created this task.Jun 2 2015, 4:00 PM
Aklapper claimed this task.
Aklapper raised the priority of this task from to Normal.
Aklapper updated the task description. (Show Details)
Aklapper added a project: ECT-June-2015.
Aklapper added a subscriber: Aklapper.
Aklapper renamed this task from Get closer aligned/synced to TPG and RelEng in areas of Phab practices and QA to Get closer aligned/synced to TPG, RelEng, CL in areas of Phab practices, QA, community;.Jun 10 2015, 4:29 PM
Aklapper set Security to None.
Aklapper raised the priority of this task from Normal to High.EditedJun 10 2015, 5:08 PM

Status:

  • Andre to join Deployment Systems and Beta Cluster triage meetings from time to time (RelEng) and lurk on #wikimedia-releng
  • Andre to join CE team meetings from time to time (rdicerb) and lurk on #wikimedia-cep
  • Still to sort out: Find an effective way to sync TPG and Andre better (currently being discussed with awjrichards via email / meetings)
Qgil moved this task from To triage to July-September 2015 on the Developer-Advocacy board.
Qgil added a subscriber: Qgil.
Aklapper updated the task description. (Show Details)Jun 29 2015, 3:29 PM
Aklapper renamed this task from Get closer aligned/synced to TPG, RelEng, CL in areas of Phab practices, QA, community; to Goal: Get closer aligned/synced to TPG, RelEng, CL in areas of Phab practices, QA, community.Jun 30 2015, 4:45 PM
Aklapper updated the task description. (Show Details)Jul 6 2015, 12:09 PM

Updates:

  • In theory I can join CE meetings now that required software is available for my machine.
  • Had a good 45min meeting with TPG on July 2nd. Explained expertise fields: What I've been doing in Phab, what TPG is doing wrt Phab that I have not much clue of. Pretty content about the "raising awareness in TPG that Andre has been on Phabricator and its docs" part. Agreed on need for better information/expertise flow. IRC/mailing list/Phab tickets might be sufficient with meetings created if specifically needed.
Aklapper renamed this task from Goal: Get closer aligned/synced to TPG, RelEng, CL in areas of Phab practices, QA, community to Goal: Clarify interaction/sync with TPG, RelEng, CL in areas of Phab practices, QA, community.Jul 6 2015, 3:02 PM
Aklapper updated the task description. (Show Details)Jul 27 2015, 12:30 PM
Aklapper moved this task from Backlog to Doing on the ECT-July-2015 board.Jul 28 2015, 4:29 PM
Aklapper moved this task from Backlog to Doing on the ECT-August-2015 board.
Aklapper updated the task description. (Show Details)Aug 11 2015, 11:48 AM
Aklapper closed this task as Resolved.Aug 18 2015, 3:46 PM
Aklapper updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)

Updated description; closing as resolved after more emails with Luis and Rachel.